Description

From Dave Vieglais:
All requests to DataONE services must properly URL path encode identifiers that are included with GET requests.
For example, when viewing a search result for the identifier:

http://dx.doi.org/10.5061/dryad.j1828/2?ver=2017-08-19T07:36:06.033-04:00

the view request fails with a 404 error since the identifier is not being encoded:

https://search.dataone.org/cn/v2/views/metacatui/http://dx.doi.org/10.5061/dryad.j1828?ver=2017-08-19T07:35:55.841-04:00

Properly encoding the request:

https://search.dataone.org/cn/v2/views/metacatui/http%3A%2F %2Fdx.doi.org%2F10.5061%2Fdryad.j1828%3Fver%3D2017-08-19T
07%3A35%3A55.841-04%3A00

yields the expected HTTP 200 response.

History

#1 - 08/22/2017 09:32 AM - Lauren Walker

- Assignee deleted (ben leinfelder)

#2 - 08/22/2017 09:47 AM - Lauren Walker

- Status changed from New to Rejected
